Create Lease: MRI - Not Supported
POST
https://api.propexo.com/v1/leases/mri/MRI does not support creating a lease via their API. This endpoint will always return a 405, with an error message specifying that creating a lease in a MRI integration is not supported due to the lack of upstream support.MRI does not provide a way to create the majority of data on leases with their MIX APIs. This is available through their developer APIs, but the developer APIs are recommended to be avoided by integrating systems due to their unchecked data entry that can lead to system corruption.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
object
Response
Successful response
object
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/leases/mri/
- cURL
- Node.js
- Python
curl -X POST https://api.propexo.com/v1/leases/mri/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}'
const response = await fetch("https://api.propexo.com/v1/leases/mri/", {
method: "POST",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({}),
});
const data = await response.json();
import requests
response = requests.post(
"https://api.propexo.com/v1/leases/mri/",
headers={"Authorization": "Bearer <token>"},
json={},
)
data = response.json()
200 Successful response
{}